Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1800084 - sextractor: FTBFS in Fedora rawhide/f32
Summary: sextractor: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: sextractor
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 19:58 UTC by Fedora Release Engineering
Modified: 2020-03-01 12:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-01 12:26:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 19:58 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 19:58 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 19:58 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github astromatic sextractor issues 12 0 None open Failling to build with incoming gcc10 (-fno-common default) 2020-03-01 12:24:40 UTC

Description Fedora Release Engineering 2020-02-06 19:58:20 UTC
sextractor failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41322091


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix sextractor at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
sextractor will be orphaned. Before branching of Fedora 33,
sextractor will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 19:58:23 UTC
Created attachment 1660917 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2020-02-06 19:58:24 UTC
Created attachment 1660918 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 19:58:26 UTC
Created attachment 1660919 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 16:47:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Sergio Pascual 2020-03-01 12:26:04 UTC
Upstream is working on it. In the mean time I have enabled

%define _legacy_common_support 1

and now it builds


Note You need to log in before you can comment on or make changes to this bug.